| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
cv::detail::tracking::TrackerContribFeature Class Referenceabstract
Tracking API » Tracking API implementation details

Abstract base class for TrackerContribFeature that represents the feature. More...

`#include <opencv2/tracking/tracking_internals.hpp>`

Collaboration diagram for cv::detail::tracking::TrackerContribFeature:

## Public Member Functions
virtual | ~TrackerContribFeature ()
String | getClassName () const
| Get the name of the specific TrackerContribFeature.
virtual void | selection (Mat &response, int npoints)=0
| Identify most effective features.
Public Member Functions inherited from cv::detail::tracking::TrackerFeature
virtual | ~TrackerFeature ()
void | compute (const std::vector< Mat > &images, Mat &response)
| Compute the features in the images collection.

## Static Public Member Functions
static Ptr< TrackerContribFeature > | create (const String &trackerFeatureType)
| Create TrackerContribFeature by tracker feature type.

## Protected Attributes
String | className

## Additional Inherited Members
Protected Member Functions inherited from cv::detail::tracking::TrackerFeature
virtual bool | computeImpl (const std::vector< Mat > &images, Mat &response)=0

## Detailed Description

Abstract base class for TrackerContribFeature that represents the feature.

## Constructor & Destructor Documentation

## ◆ ~TrackerContribFeature()

virtual cv::detail::tracking::TrackerContribFeature::~TrackerContribFeature | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ create()

static Ptr< TrackerContribFeature > cv::detail::tracking::TrackerContribFeature::create | ( | const String & | trackerFeatureType | ) |
| static

Create TrackerContribFeature by tracker feature type.

Parameters

  trackerFeatureType | The TrackerContribFeature name

The modes available now:

- "HAAR" – Haar Feature-based

The modes that will be available soon:

- "HOG" – Histogram of Oriented Gradients features
- "LBP" – Local Binary Pattern features
- "FEATURE2D" – All types of Feature2D

## ◆ getClassName()

String cv::detail::tracking::TrackerContribFeature::getClassName | ( |  | ) | const

Get the name of the specific TrackerContribFeature.

## ◆ selection()

virtual void cv::detail::tracking::TrackerContribFeature::selection | ( | Mat & | response,
|  | int | npoints )
| pure virtual

Identify most effective features.

Parameters

  response | Collection of response for the specific TrackerContribFeature
  npoints | Max number of features

Note
  This method modifies the response parameter

Implemented in cv::detail::tracking::TrackerContribFeatureHAAR, cv::detail::tracking::TrackerFeatureFeature2d, cv::detail::tracking::TrackerFeatureHOG, and cv::detail::tracking::TrackerFeatureLBP.

## Member Data Documentation

## ◆ className

String cv::detail::tracking::TrackerContribFeature::className
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_internals.hpp